@model RestoAPI.Models.DB.User
@{
    var isEdit = Model.Id > 0;

    var Roles = ViewData["Roles"] as IEnumerable<RestoAPI.Models.DB.Role>;
    var RoleList = new SelectList(Roles, "Id", "Name");

    ViewData["Title"] = (isEdit ? "Edit" : "Add") + " User";
}

<h2>@(isEdit ? "Edit [" + Model.Name + "]" : "Add New User")</h2>

<br />

@Html.Partial("_Message")

<div class="row">
    <div class="col-md-12">
        <form action="" method="post" enctype="multipart/form-data" class="form-horizontal ">
            <div class="card">
                <div class="card-header">
                    <strong>User Data</strong>
                </div>
                <div class="card-block">
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Name">Name</label>
                        <div class="col-md-9">
                            <input type="text" id="Name" name="Name" class="form-control" placeholder="Name" value="@Model.Name" required>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Username">Username</label>
                        <div class="col-md-9">
                            <input type="text" id="Username" name="Username" class="form-control" placeholder="Username" value="@Model.Username" required>
                            <span class="help-block">Used for login, must unique</span>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="Password">Password</label>
                        <div class="col-md-9">
                            <input type="password" id="Password" name="Password" class="form-control" placeholder="@(isEdit ? "Password not Changed" : "Password")" @(isEdit ? "" : "required")>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label">Active</label>
                        <div class="col-md-9">
                            <label class="checkbox-inline" for="IsActive">
                                <input type="checkbox" id="IsActive" name="IsActive" value="True" @(Model.IsActive ? "checked" : "")>Active
                            </label>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-md-3 form-control-label" for="RoleId">Role</label>
                        <div class="col-md-9">
                            <select id="RoleId" name="RoleId" class="form-control" size="1" required>
                                <option value="">Please select</option>
                                @foreach (var item in Roles)
                                {
                                    var selected = Model.RoleId == item.Id;
                                    <option value="@item.Id" @(selected ? "selected" : "")>@item.Name</option>
                                }
                            </select>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <input type="hidden" name="Id" value="@Model.Id" />
                    <button type="submit" class="btn btn-sm btn-primary"><i class="fa fa-dot-circle-o"></i> Submit</button>
                    <button type="reset" class="btn btn-sm btn-danger"><i class="fa fa-ban"></i> Reset</button>
                </div>
            </div>
        </form>
    </div>
    <!--/col-->
</div>

